extern "C" {
#include "fxlib.h"
#include "SH4_compatibility.h"
#include "MonochromeLib.h"
#include <stdlib.h>
#include "usefull.h"
}

#include "src/all.h"
//****************************************************************************
//  AddIn_main (Sample program main function)
//
//  param   :   isAppli   : 1 = This application is launched by MAIN MENU.
//                        : 0 = This application is launched by a strip in eACT application.
//
//              OptionNum : Strip number (0~3)
//                         (This parameter is only used when isAppli parameter is 0.)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************

int main()
{

	Game* game = Single::getGame();
	srand(time_getTicks());
	while(1)
	{
		ML_clear_vram();
		game->frame();
		if(IsKeyDown(48))break;
		game->draw();
		ML_display_vram();
		setFps(2);

	}
	/*jeu partie;
	unsigned int key;
	srand(time_getTicks());
	while(1)
	{
	    partie.game (0,0,1);
	}
	return 1;*/
}

extern "C" {
int AddIn_main(int isAppli, unsigned short OptionNum)
{
    return main();
}

//****************************************************************************
//**************                                              ****************
//**************                 Notice!                      ****************
//**************                                              ****************
//**************  Please do not change the following source.  ****************
//**************                                              ****************
//****************************************************************************

#pragma section _BR_Size
unsigned long BR_Size;
#pragma section

#pragma section _TOP

//****************************************************************************
//  InitializeSystem
//
//  param   :   isAppli   : 1 = Application / 0 = eActivity
//              OptionNum : Option Number (only eActivity)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section
}
