#include "src/all.h"

void Death::frame()
{
	if(frameCount == A_DEATH && IsKeyDown(KEY_CTRL_EXE))frameCount++;
	if(frameCount < A_DEATH)frameCount+=4;
	if(2*frameCount >=  4*A_DEATH+4*A_DEATH_MARGIN)
	{
		Single::getGame()->endDying();
	}
	else if(frameCount > A_DEATH)frameCount+=8;

}


void Death::draw()
{
	char titles[12][50] = {
	    "Death by weird red circle",
	    "Death by stalactite",
	    "Death by boredom",
	    "Death by drowning",
	    "Death by laser",
	    "Death by explosion",
	    "Death by poison",
	    "Death by forest fire",
	    "Death by falling damage",
	    "Death by hydraulic press",
			"Congratulations !",
			"Death by reset"
	};
	char descriptions[12][120] = {
			"Apparently these cute little things are mortal to the touch!\tThe more you know...",
			"These  stalactite have motion detector\tto fall\tat\tthe exact moment you are under it!",
			"Sometimes, death is better than having to listen to someone",
			"Not everything is better under the sea",
			"Isn't this the most AWESOME death?",
			"When bombs explode, they make zone damage Who knew? Well, know you know!",
			"Plants can be dangerous But they make good natural selection in grandma garden",
			"Burning things and staying in them is not the brightest idea...",
			"A little more speed and you go from being fine to being crushed on the ground",
			"Putting the lever to use the press behind it wasn't the best idea, but it works!",
			"You found the end of the maze and finished the game ! Congratulations !",
			"Apparently, suicide is an option... But you won't gain money from it !",
	};

	int offset = -A_DEATH+frameCount-A_DEATH_MARGIN;

	if(63+offset<=64-offset)
	{
		ML_rectangle(
			-64+offset,
			-64-32+offset,
			127+64-offset,
			127+32-offset,
			128,ML_BLACK,ML_TRANSPARENT);
		ML_rectangle(
			63+offset,
			31+offset,
			64-offset,
			32-offset,
			2,ML_WHITE,ML_TRANSPARENT);
		}
		else ML_rectangle(0,0,128,64,0,ML_BLACK,ML_BLACK);
	if(frameCount>=A_DEATH)
	{
		print(titles[which],0,1,128,-1,AL_MIDDLE);
		print(descriptions[which],83,9,45,-1,AL_MIDDLE);

		if(which != D_WIN)
		{
			if(original)
			{
				print("You won 100$! You have  \t\t\t$ to spend in the store!",4,12,40,-1,AL_LEFT);
				int money = Single::getGame()->getTotalMoney();
				PrintV(24,24,money);
			}
			else
			{
				print("You already died like this. You have  \t\t\t$ to spend in the store!",4,12,40,-1,AL_LEFT);
				int money = Single::getGame()->getTotalMoney();
				PrintV(24,36,money);
			}
		}
		else
		{
			if(Single::getGame()->getTotalMoney() == 900)
				print("You found 9 of the 10 possibles death",2,14,40,-1,AL_MIDDLE);
			else if(Single::getGame()->getTotalMoney() == 1000)
				print("You found all the possible death! Incredible!",2,14,46,-1,AL_MIDDLE);
			else
				print("You should not see this! Incredible!",2,14,46,-1,AL_MIDDLE);
		}
		print("Press EXE",0,56,128,-1,AL_MIDDLE);

		if(63+offset>64-offset)
		ML_rectangle(
			63+offset,
			31+offset,
			64-offset,
			32-offset,
			2,ML_WHITE,ML_BLACK);
	}
}

void Death::reset()
{
	which = -1;
}

int Death::getDeath()
{
	return which;
}
void Death::init(int w,int o)
{
	original = o;
	which = w;
	frameCount = 0;
}
